## golang-step-cli-utils 0.7.5+ds

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)

all: lint test

ci: test

.PHONY: all ci

#########################################
# Bootstrapping
#########################################

bootstrap:
	$Q GO111MODULE=on go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.30.0

.PHONY: bootstrap

#########################################
# Test
#########################################

test:
	$Q $(GOFLAGS) go test -coverprofile=coverage.out ./...

race:
	$Q $(GOFLAGS) go test -race ./...

.PHONY: test race

#########################################
# Linting
#########################################

fmt:
	$Q gofmt -l -w $(SRC)

lint:
	$Q LOG_LEVEL=error golangci-lint run --timeout=30m

.PHONY: lint fmt

## golang-step-cli-utils 0.2.0+ds

=== debian/changelog ===
golang-step-cli-utils (0.2.0+ds-3) unstable; urgency=medium

  * Team Upload.
  * Move to unstable post release

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 01:33:48 +0530

golang-step-cli-utils (0.2.0+ds-2) experimental; urgency=medium

  * Source-only upload
  * d/control: remove indirect dependencies
  * d/source/lintian-overrides: Please lintian
  * d/patches: Please lintian
  * d/control: Update standards version

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sat, 20 Nov 2021 14:09:11 +0000

golang-step-cli-utils (0.2.0+ds-1) experimental; urgency=medium

  * Initial release (Closes: #991039)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 13 Jul 2021 14:00:35 +0200

=== debian/control ===
Source: golang-step-cli-utils
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-chzyer-readline-dev,
               golang-github-manifoldco-promptui-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-v2-dev,
               golang-github-mgutz-ansi-dev,
               golang-github-smallstep-assert-dev <!nocheck>,
               golang-github-stretchr-testify-dev <!nocheck>,
               golang-github-urfave-cli-dev,
               golang-step-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-step-cli-utils
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-step-cli-utils.git
Homepage: https://github.com/smallstep/cli-utils
Rules-Requires-Root: no
XS-Go-Import-Path: go.step.sm/cli-utils

Package: golang-step-cli-utils-dev
Architecture: all
Depends: golang-github-chzyer-readline-dev,
         golang-github-manifoldco-promptui-dev,
         golang-github-pkg-errors-dev,
         golang-github-russross-blackfriday-v2-dev,
         golang-github-mgutz-ansi-dev,
         golang-github-urfave-cli-dev,
         golang-step-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: common code between step-cli and step-ca
 This package provides a collection of go packages used in smallstep
 (https://smallstep.com) products.
 .
 Other projects should not use this package. The API can change at any time.

## golang-step-cli-utils 0.7.5%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-step-cli-utils
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
+Uploaders: Peymaneh <peymaneh@posteo.net>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -15,10 +15,10 @@
                golang-github-smallstep-assert-dev <!nocheck>,
                golang-github-stretchr-testify-dev <!nocheck>,
                golang-github-urfave-cli-dev,
-               golang-step-crypto-dev,
+               golang-github-smallstep-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-step-cli-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-step-cli-utils.git
 Homepage: https://github.com/smallstep/cli-utils
@@ -33,7 +33,7 @@
          golang-github-russross-blackfriday-v2-dev,
          golang-github-mgutz-ansi-dev,
          golang-github-urfave-cli-dev,
-         golang-step-crypto-dev,
+         golang-github-smallstep-crypto-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
          ${misc:Depends}

## golang-step-cli-utils 0.7.5+ds

=== debian/changelog ===
golang-step-cli-utils (0.7.5+ds-2) unstable; urgency=medium

  * Source only upload (0.7.5+ds-1 accidentally included amd changes)

 -- Peymaneh <peymaneh@posteo.net>  Mon, 12 Dec 2022 23:11:22 +0100

golang-step-cli-utils (0.7.5+ds-1) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version
  * New upstream version 0.7.5+ds
  * d/patches: Drop obsolete patch
  * d/control: Update dependencies
  * d/s/lintian-override: Fix mismatch

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 17:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-github-smallstep-assert-dev <!nocheck>,
                golang-github-stretchr-testify-dev <!nocheck>,
                golang-github-urfave-cli-dev,
-               golang-github-smallstep-crypto-dev,
+               golang-step-crypto-dev (>= 0.17.3~),
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev
 Standards-Version: 4.6.1.0
@@ -33,7 +33,7 @@
          golang-github-russross-blackfriday-v2-dev,
          golang-github-mgutz-ansi-dev,
          golang-github-urfave-cli-dev,
-         golang-github-smallstep-crypto-dev,
+         golang-step-crypto-dev (>= 0.17.3~),
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
          ${misc:Depends}

=== debian/watch ===
version=4
opts="repack, \
      repacksuffix=+ds, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-go.step-cli-utils-$1.tar.gz%, \
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/smallstep/cli-utils/tags .*/v?(\d\S*)\.tar\.gz debian
